//=======================================================================
//                         USB Target CDC sample
//
// File:
//   main.c
//
// Abstract:
//   USB CDC sample main
//
//  Created:
//    27 April 2015
//======================================================================
//
// Copyright (c) 2015, Kenji Ishimaru
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
//  -Redistributions of source code must retain the above copyright notice,
//   this list of conditions and the following disclaimer.
//  -Redistributions in binary form must reproduce the above copyright notice,
//   this list of conditions and the following disclaimer in the documentation
//   and/or other materials provided with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
// OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
// WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
// OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
// EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// $Id: a58acd61495d91b531c7866a027dbac8c32359b4 $

#include <stdio.h>
#include "alt_types.h"
#include "system.h"
#include "usbs_hw_reg.h"
#include "usbs_base.h"

int main()
{

  int stat;
  usbs_init();
  printf("OpenCores USB Device CDC ACM Sample\n");
  printf("USB IP Core version %x\n",USB_HOST_SLAVE_VERSION_REG);
  wait_configured();
  while (1) {
    stat = USB_SC_INTERRUPT_STATUS_REG;
    if (stat & USBS_SC_RESET_EVENT_BIT) {
      USB_SC_INTERRUPT_STATUS_REG = stat | USBS_SC_RESET_EVENT_BIT;
      reset_event_proc();
      wait_configured();
    } else
    if (stat & USBS_SC_TRANS_DONE_BIT) {
      USB_SC_INTERRUPT_STATUS_REG = stat | USBS_SC_TRANS_DONE_BIT;
      if (check_ready_bit_ep(1))  endpoint1_trans();
      if (check_ready_bit_ep(2))  endpoint2_trans();
    }
  }
  return 0;
}
