// ----------------------------- usbCdcDevice_define ---------------------------

`define ZERO_ZERO_STAT_INDEX 8'h6c
`define ONE_ZERO_STAT_INDEX 8'h6e
`define VENDOR_DATA_STAT_INDEX 8'h70
`define DEV_DESC_INDEX 8'h00
`define DEV_DESC_SIZE 8'd18
//config descriptor is bundled with interface desc, HID desc, and EP1 desc
`define CFG_DESC_INDEX 8'h12
`define CFG_DESC_SIZE 8'd67
//`define REP_DESC_INDEX 8'h3a
//`define REP_DESC_SIZE 8'h32
`define LANGID_DESC_INDEX 8'h80
`define LANGID_DESC_SIZE 8'h04
`define STRING1_DESC_INDEX 8'h90
`define STRING1_DESC_SIZE 8'd44
`define STRING2_DESC_INDEX 8'hc0
`define STRING2_DESC_SIZE 8'd22
`define STRING3_DESC_INDEX 8'he0
`define STRING3_DESC_SIZE 8'd20

`define DEV_DESC 8'h01
`define CFG_DESC 8'h02
`define REP_DESC 8'h22
`define STRING_DESC 8'h03

`ifdef SIM_COMPILE
`define ONE_MSEC_DEL 16'h0300
`else
  `ifdef CLK100MHZ
  // delays at 100MHz
  `define ONE_MSEC_DEL 17'h186a0
  `else
  //delays at 48MHz
  `define ONE_MSEC_DEL 16'hbb80
  `endif
`endif

`ifdef CLK100MHZ
// delays at 100MHz
`define ONE_USEC_DEL 8'h64
`else
//delays at 48MHz
`define ONE_USEC_DEL 8'h30
`endif

`define GET_STATUS 8'h00
`define CLEAR_FEATURE 8'h01
`define SET_FEATURE 8'h03
`define SET_ADDRESS 8'h05
`define GET_DESCRIPTOR 8'h06
`define SET_DESCRIPTOR 8'h07
`define GET_CONFIG 8'h08
`define SET_CONFIG 8'h09
`define GET_INTERFACE 8'h0a
`define SET_INTERFACE 8'h0b
`define SYNCH_FRAME 8'h0c

// class request
`define SET_LINE_CODING 8'h20
`define GET_LINE_CODING 8'h21
`define SET_CONTROL_LINE_STATE 8'h22

`define MAX_RESP_SIZE 8'h40
//`define MAX_RESP_SIZE 8'h08

